NXOpen.UF.ModlFeatures.CreateRelativeDplane

ModlFeatures.CreateRelativeDplane()

Refer to UF_MODL_create_relative_dplane for documentation.

Signature: CreateRelativeDplane(numRefs, objectTags, pointSelect, whichPlane, referencePoint, angleString, offsetString)

Parameters:
  • numRefs (int) – Number of constraint objects (
  • objectTags (list of Tag) – Array of constraint object tags (
  • pointSelect (list of int) – Array indicating to use edge constraint or point on edge constraint if edge tag is supplied in obj_tags: UF_MODL_EDGE UF_MODL_MID_POINT UF_MODL_END_POINT UF_MODL_RIGHT_END_POINT start point of the edge UF_MODL_LEFT_END_POINT end point of edge
  • whichPlane (int) – Solution number if more than one datum plane can be constructed for the set of input constraints. For the case where the first input object is a CYL/REV/CONE/SPHERE and the second input object is a PLANE: 1. Two planes parallel to plane and tangent to the face. The plane closest to the reference point is returned first in the dplane_tag array. 2. Two planes perpendicular to plane and tangent to the face. The plane closest to the reference point is returned first in the dplane_tag array. 3. Plane through the face axis and angle to plane. No reference point needed for this case. For the case where the first input object is a CYL/REV and the second input object is a CYL/REV/SPHERE: (see Figure for examples) 1. Two planes where the tangency is on the “same sides” of the faces. The plane closest to the reference point is returned first in the dplane_tag array. 2. Two planes where the tangency is on the “opposite sides” of the faces. The plane closest to the reference point is returned first in the dplane_tag array. 3. Plane through both the face axes. No reference point needed for this case. For the case where the first input object is a CYL/REV/SPHERE and the second input object is a POINT: 1. Two planes tangent to the face and through point. The plane closest to the reference point is returned first in the dplane_tag array.
  • referencePoint (list of float) – Reference points used with which_plane flag. If NULL, then the order of the datum planes in the dplane_tag array is arbitrary.
  • angleString (str) – Angle parameter string.
  • offsetString (str) – Offset parameter string.
Returns:

A Tuple

Return type:

A tuple consisting of (numDplanes,dplaneTag)

numDplanes(int): Number of datum planes returned (

dplaneTag(list of Tag): The created datum plane(s). These are feature tags.

License requirements: SOLIDS MODELING